SDL Library Documentation
Prev |  | Next

# SDL_FillRect

## Name

SDL_FillRect -- This function performs a fast fill of the given rectangle with some color

## Synopsis

    #include "SDL.h"

``int SDL_FillRect`(SDL_Surface *dst, SDL_Rect *dstrect, Uint32 color);`

## Description

This function performs a fast fill of the given rectangle with `color`. If `dstrect` is `NULL`, the whole surface will be filled with `color`.

The color should be a pixel of the format used by the surface, and can be generated by the SDL_MapRGB function.

If there is a clip rectangle set on the destination (set via SDL_SetClipRect) then this function will clip based on the intersection of the clip rectangle and the `dstrect` rectangle.

## Return Value

This function returns 0 on success, or -1 on error.

## See Also

`SDL_MapRGB`, `SDL_BlitSurface`, SDL_Rect

Prev | Home | Next
SDL_BlitSurface | Up | SDL_DisplayFormat